/* GCC */

#define maxface 20
#define maxedge 36
#define maxlength 1000

#include <stdio.h>
#include <vector>
#include <string>

char s[maxlength];
int face[maxface][maxface];

using namespace std;

int main()
{
    freopen("polyedr.in", "r", stdin);
    freopen("polyedr.out", "w", stdout);
    int facecount = 0;
    for (int i = 0; i < maxface; i++)
        for (int j = 0; j < maxface; j++)
            face[i][j] = 0;
    int i = 1, offset, x, readchcount;
    fgets(s, maxlength, stdin);
    sscanf(s, "%d%n", &x, &offset);
    face[0][x - 1] = 1;
    facecount = max(facecount, x);
    while (sscanf(s + offset, "%d%n", &x, &readchcount))
    {
        face[0][x - 1] = 1;
        facecount = max(facecount, x);
        offset += readchcount;
    }
    while (i < facecount)
    {
        fgets(s, maxlength, stdin);
        sscanf(s, "%d%n", &x, &offset);
        face[i][x - 1] = 1;
        facecount = max(facecount, x);
        while (sscanf(s + offset, "%d%n", &x, &readchcount))
        {
            face[i][x - 1] = 1;
            facecount = max(facecount, x);
            offset += readchcount;
        }
        i++;
    }
    return 0;
}
