/* GCC */

#include <cstdio>
#include <algorithm>
#include <vector>

using namespace std;

const int nMax = 10016;

vector< pair<int, int> > c;
vector< pair<int, int> > ans;

bool fnSort (pair<int, int> a, pair<int, int> b)
{
    if (b.second > a.second)
        return true;
    if (b.second == a.second)
        return a.first < b.first;

    return false;
}

int main ()
{
    freopen ("cover.in", "r", stdin);
    freopen ("cover.out", "w", stdout);

    int a0, b0;

    scanf ("%d %d", &a0, &b0);

    int a, b;

    while ( scanf ("%d %d", &a, &b) > 0 )
        c.push_back ( make_pair(a, b) );

    sort (c.begin (), c.end (), fnSort);

    int left = a0;
    int right = b0;
    int current = c.size () - 1;

    while (left <= right && current >= 0)
        if (c[current].first < left)
        {
            ans.push_back ( c[current] );
            left = c[current].second;
            current = (int)c.size()-1;
        }
        else
            current--;

    for (int i = 0; i < ans.size () - 1; i++)
        printf ("%d %d ", ans[i].first, ans[i].second);
    printf ("%d %d\n", ans[ans.size () - 1].first, ans[ans.size()-1].second);

    return 0;
}
