/* GCC */
#include <iostream>
#include <cstdlib>
#include <cstdio>
#include <algorithm>
#include <cmath>
#include <vector>
#include <map>
#include <set>
#define ull unsigned long long
#define OUTPUT4FILES(taskname) \
    freopen(#taskname".in", "r", stdin); \
    freopen(#taskname".out", "w", stdout); \
    /**/

using namespace std;

struct intpair {
    intpair() {
        a = 2;
        b = 2;
    }
    int a, b;
};

vector<intpair> q;
int n;

bool firstCloser(const intpair &first, const intpair &second)
{
    return first.a < second.a;
}

const intpair &thebest(const intpair &last, int &offset)
{
    int longestIndex = -1, longestLength = -100;
    for (int j = offset; j < n; j++) {
        if (q[j].a >= last.b) {
            offset = j;
            break;
        }

        int nl = (q[j].b - q[j].a) - (last.b - q[j].a);
        if (nl > longestLength) {
            longestLength = nl;
            longestIndex = j;
        }
    }

    return q[longestIndex];
}

int main()
{
    OUTPUT4FILES(cover);

    int finish = 0;
    intpair _tp;
    while(cin >> _tp.a >> _tp.b) {
        if (_tp.b > finish)
            finish = _tp.b;
        q.push_back(_tp);
    }
    n = q.size();

    sort(q.begin(), q.end(), firstCloser);

    int offset = 0;
    intpair best;
    best = thebest(intpair(), offset);
    printf("%d %d", best.a, best.b);
    while (best.b < finish) {
        best = thebest(best, offset);
        printf(" %d %d", best.a, best.b);
    }

    printf("\n");

    return 0;
}
