/* GCC */

#define maxn 10001

#include <stdio.h>
#include <vector>
#include <algorithm>

using namespace std;

pair <int, int> a[maxn];
bool cover = false;

inline void step(int& intcount, int& leftbound, int& maxnum, int b0)
{
    if (a[intcount].second > b0)
    {
        if (a[intcount].first >= leftbound)
            printf("%d %d ", a[maxnum].first, a[maxnum].second);
        printf("%d %d", a[intcount].first, a[intcount].second);
        cover = true;
        intcount++;
        return;
    }
    if (a[intcount].first >= leftbound)
    {
        printf("%d %d ", a[maxnum].first, a[maxnum].second);
        leftbound = a[maxnum].second;
        maxnum = intcount;
        intcount++;
        return;
    }
    if (a[intcount].second > a[maxnum].second)
        maxnum = intcount;
    intcount++;
}

int main()
{
    freopen("cover.in", "r", stdin);
    freopen("cover.out", "w", stdout);
    int a0, b0;
    scanf("%d %d", &a0, &b0);
    int k = 0;
    while (scanf("%d %d", &a[k].first, &a[k].second) > 0)
        k++;
    sort(a, a + k);
    int intcount = 0, leftbound = a0, maxnum = 0;
    while (!cover)
        step(intcount, leftbound, maxnum, b0);
    printf("\n");
    return 0;
}
